Arch Vérification

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Check and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Arch MergeWalls.svg Fusionner des murs
Page suivante : Explorateur IFC IFC.svg Arrow-right.svg

Arch Check.svg Arch Vérifier

Emplacement du menu
Arch → Utilities → Vérifier
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Fermer les trous


Description

Cet outil vérifie le document actif ou les objets sélectionnés pour vérifier des objets non-solides Workbench Part.svgAtelier Part ou Workbench Arch.svgAtelier Architecture, lesquels pourraient créer des problèmes étant donné que la plupart des modules Arch nécessitent des objets solides.

Utilisation

  1. Pressez le bouton Arch Check.svg Validation ou passez par le menu ArchUtilitiesArch Check.svg Vérifier.

Script

Voir aussi : Arch API et FreeCAD Scripts de Base.

Cet outil peut être utilisé dans des macros et à partir de la console Python à l'aide de la fonction suivante :

list_bad = check(objectslist, includehidden=False)
  • Vérifie si les objets donnés dans objectslist ne contiennent que des solides.
  • Si includehidden est True, il inclura tous les objets cachés, sinon il les omettra de la recherche.
  • Retourne list_bad, une liste avec les objets qui ne sont pas dérivés d'une Part::Feature, ou des composants qui ne sont pas fermés, non valides, ne contiennent pas de solides ou qui contiennent des faces qui ne font partie d'aucun solide. Ceci est utilisé pour détecter des arc ou des dépouilles et des profils qui ne sont pas des solides.
    • Chaque élément de list_bad est une autre liste [object, message], où object est l'élément non solide détecté, et message indique la raison pour laquelle il a été inclus dans cette liste.

Exemple :

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute()

Circle = Draft.makeCircle(450)
Wire = Draft.makeWire([FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(1500, 1000, 0), FreeCAD.Vector(2500, -1000, 0)])

list_bad = Arch.check([Wall1, Wall2, Circle, Wire], includehidden=True)
print(list_bad)
Arrow-left.svg Page précédente : Arch MergeWalls.svg Fusionner des murs
Page suivante : Explorateur IFC IFC.svg Arrow-right.svg